summary refs log tree commit homepage
diff options
context:
space:
mode:
authorEric Wong <e@80x24.org>2017-03-08 07:33:38 +0000
committerEric Wong <e@80x24.org>2017-03-23 23:50:40 +0000
commit650e01ab0b118803486b56f3ee59521d59042dae (patch)
treef024f39d23003c5bd3eac4f8a1c2603738d5157c
parent2276a88cb9058997af38967f97e538ec5288bb39 (diff)
We will inevitably have people running old unicorn versions
for many years to come; but they may be reading the latest
documentation online.

Annotate when the new features (will) appear to avoid misleading
users on old versions.
-rw-r--r--lib/unicorn/configurator.rb4
-rw-r--r--lib/unicorn/worker.rb5
2 files changed, 8 insertions, 1 deletions
diff --git a/lib/unicorn/configurator.rb b/lib/unicorn/configurator.rb
index f404aea..5203537 100644
--- a/lib/unicorn/configurator.rb
+++ b/lib/unicorn/configurator.rb
@@ -187,6 +187,8 @@ class Unicorn::Configurator
   #
   # Do not use Configurator#user if you rely on changing users in the
   # after_worker_ready hook.
+  #
+  # after_worker_ready is only available in unicorn 5.3.0+
   def after_worker_ready(*args, &block)
     set_hook(:after_worker_ready, block_given? ? block : args[0])
   end
@@ -245,6 +247,8 @@ class Unicorn::Configurator
   # to defeat possible address space discovery attacks.  Note that using
   # worker_exec only makes sense if you are not preloading the application,
   # and will result in higher memory usage.
+  #
+  # worker_exec is only available in unicorn 5.3.0+
   def worker_exec(bool)
     set_bool(:worker_exec, bool)
   end
diff --git a/lib/unicorn/worker.rb b/lib/unicorn/worker.rb
index 8bbac5e..68de17e 100644
--- a/lib/unicorn/worker.rb
+++ b/lib/unicorn/worker.rb
@@ -125,7 +125,10 @@ class Unicorn::Worker
   # Any and all errors raised within this method will be propagated
   # directly back to the caller (usually the +after_fork+ hook.
   # These errors commonly include ArgumentError for specifying an
-  # invalid user/group and Errno::EPERM for insufficient privileges
+  # invalid user/group and Errno::EPERM for insufficient privileges.
+  #
+  # chroot support is only available in unicorn 5.3.0+
+  # user and group switching appeared in unicorn 0.94.0 (2009-11-05)
   def user(user, group = nil, chroot = false)
     # we do not protect the caller, checking Process.euid == 0 is
     # insufficient because modern systems have fine-grained